<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated by Fujitsu Interstage XWand B0255 -->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:italgas="http://italgas.it/2025-12-31" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_StatementOfCashFlowsTable" xlink:label="StatementOfCashFlowsTable" xlink:title="StatementOfCashFlowsTable"/>
    <link:label xlink:type="resource" xlink:label="label_StatementOfCashFlowsTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_StatementOfCashFlowsTable" xml:lang="en" id="label_StatementOfCashFlowsTable">Statement Of Cash Flows [table]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StatementOfCashFlowsTable" xlink:to="label_StatementOfCashFlowsTable" xlink:title="label: StatementOfCashFlowsTable to label_StatementOfCashFlowsTable"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_StatementOfCashFlowsLineItems" xlink:label="StatementOfCashFlowsLineItems" xlink:title="StatementOfCashFlowsLineItems"/>
    <link:label xlink:type="resource" xlink:label="label_StatementOfCashFlowsLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_StatementOfCashFlowsLineItems" xml:lang="en" id="label_StatementOfCashFlowsLineItems">Statement Of Cash Flows [line items]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StatementOfCashFlowsLineItems" xlink:to="label_StatementOfCashFlowsLineItems" xlink:title="label: StatementOfCashFlowsLineItems to label_StatementOfCashFlowsLineItems"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_AdjustmentsForEffectOfValuationUsingTheEquityMethod" xlink:label="italgas_AdjustmentsForEffectOfValuationUsingTheEquityMethod"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasAdjustmentsForEffectOfValuationUsingTheEquityMethod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasAdjustmentsForEffectOfValuationUsingTheEquityMethod_Standard">Adjustments for effect of valuation using the equity method</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_AdjustmentsForEffectOfValuationUsingTheEquityMethod" xlink:to="label_italgas_italgasAdjustmentsForEffectOfValuationUsingTheEquityMethod_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_OtherIncomeExpenseFromEquityInvestments" xlink:label="italgas_OtherIncomeExpenseFromEquityInvestments"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasOtherIncomeExpenseFromEquityInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasOtherIncomeExpenseFromEquityInvestments_Standard">Other income (expense) from equity investments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_OtherIncomeExpenseFromEquityInvestments" xlink:to="label_italgas_italgasOtherIncomeExpenseFromEquityInvestments_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_OtherRevenueAndIncome" xlink:label="italgas_OtherRevenueAndIncome"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasOtherRevenueAndIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasOtherRevenueAndIncome_Standard">Other revenue and income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_OtherRevenueAndIncome" xlink:to="label_italgas_italgasOtherRevenueAndIncome_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_ChangeInPayablesAndReceivablesForInvestments" xlink:label="italgas_ChangeInPayablesAndReceivablesForInvestments"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasChangeInPayablesAndReceivablesForInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasChangeInPayablesAndReceivablesForInvestments_Standard">Change in payables and receivables for investments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_ChangeInPayablesAndReceivablesForInvestments" xlink:to="label_italgas_italgasChangeInPayablesAndReceivablesForInvestments_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_StatementOfComprehensiveIncomeTable" xlink:label="StatementOfComprehensiveIncomeTable" xlink:title="StatementOfComprehensiveIncomeTable"/>
    <link:label xlink:type="resource" xlink:label="label_StatementOfComprehensiveIncomeTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_StatementOfComprehensiveIncomeTable" xml:lang="en" id="label_StatementOfComprehensiveIncomeTable">Statement Of Comprehensive Income [Table]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StatementOfComprehensiveIncomeTable" xlink:to="label_StatementOfComprehensiveIncomeTable" xlink:title="label: StatementOfComprehensiveIncomeTable to label_StatementOfComprehensiveIncomeTable"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_StatementOfFinancialPositionLineItems" xlink:label="StatementOfFinancialPositionLineItems" xlink:title="StatementOfFinancialPositionLineItems"/>
    <link:label xlink:type="resource" xlink:label="label_StatementOfFinancialPositionLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_StatementOfFinancialPositionLineItems" xml:lang="en" id="label_StatementOfFinancialPositionLineItems">Statement of Financial Position [line items]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="label_StatementOfFinancialPositionLineItems" xlink:title="label: StatementOfFinancialPositionLineItems to label_StatementOfFinancialPositionLineItems"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_RepaymentsOfNonCurrentFinancialDebts" xlink:label="italgas_RepaymentsOfNonCurrentFinancialDebts"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasRepaymentsOfNonCurrentFinancialDebts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasRepaymentsOfNonCurrentFinancialDebts_Standard">Repayments of non-current financial debts</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_RepaymentsOfNonCurrentFinancialDebts" xlink:to="label_italgas_italgasRepaymentsOfNonCurrentFinancialDebts_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_Reserves" xlink:label="italgas_Reserves"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasReserves_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasReserves_Standard">Reserves</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_Reserves" xlink:to="label_italgas_italgasReserves_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_StatementOfComprehensiveIncomeLineItems" xlink:label="StatementOfComprehensiveIncomeLineItems" xlink:title="StatementOfComprehensiveIncomeLineItems"/>
    <link:label xlink:type="resource" xlink:label="label_StatementOfComprehensiveIncomeLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_StatementOfComprehensiveIncomeLineItems" xml:lang="en" id="label_StatementOfComprehensiveIncomeLineItems">Statement of comprehensive income [line items]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StatementOfComprehensiveIncomeLineItems" xlink:to="label_StatementOfComprehensiveIncomeLineItems" xlink:title="label: StatementOfComprehensiveIncomeLineItems to label_StatementOfComprehensiveIncomeLineItems"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:label="italgas_CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets_Standard">Current financial assets excluding other current financial assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_CurrentFinancialAssetsExcludingOtherCurrentFinancialAssets" xlink:to="label_italgas_italgasCurrentFinancialAssetsExcludingOtherCurrentFinancialAssets_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_CoreBusinessRevenue" xlink:label="italgas_CoreBusinessRevenue"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasCoreBusinessRevenue_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasCoreBusinessRevenue_Standard">Core business revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_CoreBusinessRevenue" xlink:to="label_italgas_italgasCoreBusinessRevenue_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_ProfitOrLossLineItems" xlink:label="ProfitOrLossLineItems" xlink:title="ProfitOrLossLineItems"/>
    <link:label xlink:type="resource" xlink:label="label_ProfitOrLossLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProfitOrLossLineItems" xml:lang="en" id="label_ProfitOrLossLineItems">Profit or loss [line items]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitOrLossLineItems" xlink:to="label_ProfitOrLossLineItems" xlink:title="label: ProfitOrLossLineItems to label_ProfitOrLossLineItems"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_ConsolidationReserveMember" xlink:label="italgas_ConsolidationReserveMember"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_ConsolidationReserveMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_ConsolidationReserveMember">Consolidation Reserve [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_ConsolidationReserveMember" xlink:to="label_italgas_ConsolidationReserveMember" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_PortionOfRetainedEarningRelatingToThePeriod" xlink:label="italgas_PortionOfRetainedEarningRelatingToThePeriod"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasPortionOfRetainedEarningRelatingToThePeriod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasPortionOfRetainedEarningRelatingToThePeriod_Standard">Portion of retained earning relating to the period</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_PortionOfRetainedEarningRelatingToThePeriod" xlink:to="label_italgas_italgasPortionOfRetainedEarningRelatingToThePeriod_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_RetainedEarningsExcludingNetProfitLossForThePeriodMember" xlink:label="italgas_RetainedEarningsExcludingNetProfitLossForThePeriodMember"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_RetainedEarningsExcludingNetProfitLossForThePeriodMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_RetainedEarningsExcludingNetProfitLossForThePeriodMember">Retained earnings excluding net profit (loss) for the period [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_RetainedEarningsExcludingNetProfitLossForThePeriodMember" xlink:to="label_italgas_RetainedEarningsExcludingNetProfitLossForThePeriodMember" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_RetainedEarningsExcludingNetProfitLossForThePeriod" xlink:label="italgas_RetainedEarningsExcludingNetProfitLossForThePeriod"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasRetainedEarningsExcludingNetProfitLossForThePeriod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasRetainedEarningsExcludingNetProfitLossForThePeriod_Standard">Retained earnings excluding net profit (loss) for the period</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_RetainedEarningsExcludingNetProfitLossForThePeriod" xlink:to="label_italgas_italgasRetainedEarningsExcludingNetProfitLossForThePeriod_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_StatementOfFinancialPositionTable" xlink:label="StatementOfFinancialPositionTable" xlink:title="StatementOfFinancialPositionTable"/>
    <link:label xlink:type="resource" xlink:label="label_StatementOfFinancialPositionTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_StatementOfFinancialPositionTable" xml:lang="en" id="label_StatementOfFinancialPositionTable">Statement of Financial Position [table]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StatementOfFinancialPositionTable" xlink:to="label_StatementOfFinancialPositionTable" xlink:title="label: StatementOfFinancialPositionTable to label_StatementOfFinancialPositionTable"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_PortionOfRetainedEarningRelatingToThePeriodMember" xlink:label="italgas_PortionOfRetainedEarningRelatingToThePeriodMember"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_PortionOfRetainedEarningRelatingToThePeriodMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_PortionOfRetainedEarningRelatingToThePeriodMember">Portion of retained earning relating to the period [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_PortionOfRetainedEarningRelatingToThePeriodMember" xlink:to="label_italgas_PortionOfRetainedEarningRelatingToThePeriodMember" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_OtherIncomeFromEquityInvestmentsi" xlink:label="italgas_OtherIncomeFromEquityInvestmentsi"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasOtherIncomeFromEquityInvestmentsi_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasOtherIncomeFromEquityInvestmentsi_Standard">Other income from equity investmentsi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_OtherIncomeFromEquityInvestmentsi" xlink:to="label_italgas_italgasOtherIncomeFromEquityInvestmentsi_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_ProfitOrLossTable" xlink:label="ProfitOrLossTable" xlink:title="ProfitOrLossTable"/>
    <link:label xlink:type="resource" xlink:label="label_ProfitOrLossTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProfitOrLossTable" xml:lang="en" id="label_ProfitOrLossTable">Profit or Loss [table]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitOrLossTable" xlink:to="label_ProfitOrLossTable" xlink:title="label: ProfitOrLossTable to label_ProfitOrLossTable"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_CostsForTheUseOfThirdPartyAssets" xlink:label="italgas_CostsForTheUseOfThirdPartyAssets"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasCostsForTheUseOfThirdPartyAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasCostsForTheUseOfThirdPartyAssets_Standard">Costs for the use of third-party assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_CostsForTheUseOfThirdPartyAssets" xlink:to="label_italgas_italgasCostsForTheUseOfThirdPartyAssets_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_ThirdPartiesMember" xlink:label="italgas_ThirdPartiesMember"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_ThirdPartiesMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_ThirdPartiesMember">Third parties [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_ThirdPartiesMember" xlink:to="label_italgas_ThirdPartiesMember" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits" xlink:label="italgas_InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasInvestmentsInChangeInScopeOfConsolidationAndBusinessUnits_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasInvestmentsInChangeInScopeOfConsolidationAndBusinessUnits_Standard">Business combinations, net of acquired cash and cash equivalents investments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_InvestmentsInChangeInScopeOfConsolidationAndBusinessUnits" xlink:to="label_italgas_italgasInvestmentsInChangeInScopeOfConsolidationAndBusinessUnits_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_AssumptionsRepaymentsOfLongTermFinancialDebt" xlink:label="italgas_AssumptionsRepaymentsOfLongTermFinancialDebt"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasAssumptionsRepaymentsOfLongTermFinancialDebt_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasAssumptionsRepaymentsOfLongTermFinancialDebt_Standard">Assumptions (repayments) of non-current financial debt</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_AssumptionsRepaymentsOfLongTermFinancialDebt" xlink:to="label_italgas_italgasAssumptionsRepaymentsOfLongTermFinancialDebt_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_EffectOfValuationUsingTheEquityMethod" xlink:label="italgas_EffectOfValuationUsingTheEquityMethod"/>
    <link:label xlink:type="resource" xlink:label="label_italgas_italgasEffectOfValuationUsingTheEquityMethod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="en" id="italgas_italgasEffectOfValuationUsingTheEquityMethod_Standard">Effect of valuation using the equity method</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="italgas_EffectOfValuationUsingTheEquityMethod" xlink:to="label_italgas_italgasEffectOfValuationUsingTheEquityMethod_Standard" order="1.0"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte" xlink:label="AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte_2" xlink:title="AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte"/>
    <link:label xlink:type="resource" xlink:label="label_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte_2" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte" xml:lang="en" id="label_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte_2">Other comprehensive income, net of tax</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte_2" xlink:to="label_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte_2" xlink:title="label: AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte to label_AltreComponentiNonRiclassificabiliContoEconomicoAlNettoDelleImposte"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_RiservaDaValutazioneAlFairValueDiPartecipazioni" xlink:label="RiservaDaValutazioneAlFairValueDiPartecipazioni" xlink:title="RiservaDaValutazioneAlFairValueDiPartecipazioni"/>
    <link:label xlink:type="resource" xlink:label="label_RiservaDaValutazioneAlFairValueDiPartecipazioni" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_RiservaDaValutazioneAlFairValueDiPartecipazioni" xml:lang="en" id="label_RiservaDaValutazioneAlFairValueDiPartecipazioni">Reserve of Fair Value Measurement of Equity Investments</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiservaDaValutazioneAlFairValueDiPartecipazioni" xlink:to="label_RiservaDaValutazioneAlFairValueDiPartecipazioni" xlink:title="label: RiservaDaValutazioneAlFairValueDiPartecipazioni to label_RiservaDaValutazioneAlFairValueDiPartecipazioni"/>
    <link:loc xlink:type="locator" xlink:href="815600F25FF44EF1FA76-2025-12-31.xsd#italgas_CapogruppoMember" xlink:label="CapogruppoMember" xlink:title="CapogruppoMember"/>
    <link:label xlink:type="resource" xlink:label="label_CapogruppoMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_CapogruppoMember" xml:lang="en" id="label_CapogruppoMember">Parent company [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CapogruppoMember" xlink:to="label_CapogruppoMember" xlink:title="label: CapogruppoMember to label_CapogruppoMember"/>
  </link:labelLink>
</link:linkbase>
